local weaponSlots = {0,1,2,3,4,5,6,7,8,9,10,11,12}
local skillMap = {}
skillMap[22] = 69
skillMap[23] = 70
skillMap[24] = 71
skillMap[25] = 72
skillMap[26] = 73
skillMap[27] = 74
skillMap[28] = 75
skillMap[29] = 76
skillMap[32] = 75
skillMap[30] = 77
skillMap[31] = 78
skillMap[33] = 79
skillMap[34] = 79

function setBaseSkill(player)
	for _,sID in pairs(skillMap) do
		setPedStat(player,sID,998)
	end
end

addEventHandler("onPlayerSpawn",root,function()
	setBaseSkill(source)
end)

addEventHandler("onPickupUse",root,function(player)
	local wep = getPickupWeapon(source)
	if wep == false then return end
	for _,slot in ipairs(weaponSlots) do
		if getPedWeapon(player,slot) == wep then
			if skillMap[wep] ~= nil then
				setPedStat(player,skillMap[wep],1000)
			end
			return
		end
	end
	
	if skillMap[wep] ~= nil then
		setPedStat(player,skillMap[wep],998)
	end
end)

for _,player in ipairs(getElementsByType("player")) do
	setBaseSkill(player)
end